Summary:       A multi-platform support library
Name:          libuv
Version:       0.10.25
Release:       1%{?dist}%{?pext}
License:       BSD
Group:         System Environment/Libraries
Source0:       http://%{name}.org/dist/v%{version}/%{name}-v%{version}.tar.gz
Patch0:        %{name}-0.10.25-build.patch
URL:           http://github.com/joyent/%{name}/
Buildroot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Vendor:        Joyent, Inc.

%description
Libuv is a multi-platform support library with a focus on asynchronous I/O.
It was primarily developed for use by Node.js, but it's also used by Rust,
Luvit, Julia, pyuv, and others.


%package       devel
Summary:       Development tools for %{name}
Group:         Development/Libraries
Requires:      %{name} = %{version}-%{release}
Requires:      pkgconfig

%description   devel
The %{name}-devel package contains the libraries and header files for
developing software using %{name}.


%package       static
Summary:       Static libraries for %{name}
Group:         Development/Libraries
Requires:      %{name}-devel = %{version}-%{release}

%description   static
The %{name}-static package contains the statically linkable libraries
for %{name}.


%prep
%setup -q -n %{name}-v%{version}
%patch0 -p1

# Fix config
%{__sed} -i -e 's#@PREFIX@#%{_prefix}#g'     \
	    -e 's#@LIBDIR@#%{_libdir}#g'     \
	    -e 's#@INCDIR@#%{_includedir}#g' \
	    -e 's#@VERSION@#%{version}#g'    \
	    %{name}.pc


%build
export CC="%{__cc}"
export CFLAGS="${RPM_OPT_FLAGS} -fno-strict-aliasing -Wno-unused"

%{__make} %{?_smp_mflags}


#%check
#%{__make} test


%install
[ -n "${RPM_BUILD_ROOT}" -a "${RPM_BUILD_ROOT}" != "/" ] && %{__rm} -rf ${RPM_BUILD_ROOT}
%{__mkdir_p} ${RPM_BUILD_ROOT}%{_includedir}/uv-private
%{__mkdir_p} ${RPM_BUILD_ROOT}%{_libdir}/pkgconfig

pushd include
%{__install} -m 0644 uv.h        ${RPM_BUILD_ROOT}%{_includedir}
pushd uv-private
%{__install} -m 0644 ngx-queue.h ${RPM_BUILD_ROOT}%{_includedir}/uv-private
%{__install} -m 0644 tree.h      ${RPM_BUILD_ROOT}%{_includedir}/uv-private
%{__install} -m 0644 uv-linux.h  ${RPM_BUILD_ROOT}%{_includedir}/uv-private
%{__install} -m 0644 uv-unix.h   ${RPM_BUILD_ROOT}%{_includedir}/uv-private
popd
popd

%{__install} -m 0644 %{name}.a   ${RPM_BUILD_ROOT}%{_libdir}
%{__install} -m 0755 %{name}.so* ${RPM_BUILD_ROOT}%{_libdir}
%{__ln_s}    -f %{name}.so.*     ${RPM_BUILD_ROOT}%{_libdir}/%{name}.so

%{__install} -m 0644 %{name}.pc  ${RPM_BUILD_ROOT}%{_libdir}/pkgconfig


%post -p /sbin/ldconfig


%postun -p /sbin/ldconfig


%clean
[ -n "${RPM_BUILD_ROOT}" -a "${RPM_BUILD_ROOT}" != "/" ] && %{__rm} -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,root)
%doc AUTHORS ChangeLog LICENSE README*
%{_libdir}/%{name}.so.*

%files devel
%defattr(-,root,root)
%{_includedir}/uv.h
%{_includedir}/uv-private
%{_libdir}/%{name}.so
%{_libdir}/pkgconfig/%{name}.pc

%files static
%defattr(-,root,root)
%{_libdir}/%{name}.a


%changelog
* Mon Mar 10 2014 Peter Pramberger <peterpramb@member.fsf.org> - 0.10.25-1
- Initial build
